import 'package:flutter/material.dart';

class Tile {
  final Image image;
  final double size;
  final int currentCol;
  final int currentRow;
  final int originalCol;
  final int originalRow;

  Tile(
    @required this.image,
    @required this.size,
    @required this.currentCol,
    @required this.currentRow,
    @required this.originalCol,
    @required this.originalRow,
  );

  Container widget() {
    return Container(
      child: Image(
        image: this.image.image,
        width: this.size,
        height: this.size,
        fit: BoxFit.fill
      )
    );
  }
}
